Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000308 [Piwigo] other block always 2006.03.19 19:24 2006.04.15 00:05
Reporter VDigital View Status public  
Assigned To nikrou
Priority immediate Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.6 branch Product Version BSF branch (dev)
  Target Version Product Build 200603181355
Summary 0000308: Pb sur _sessions et _user_access
Description SELECT cat_id
  FROM phpwebgallery_user_access
  WHERE user_id =
;
[mysql error 1064] You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 3

INSERT INTO phpwebgallery_sessions
  (id,data,expiration)
  VALUES('331b09081b2b42b457da0d113a8dc3a6','id|i:54;',now())
;
[mysql error 1062] Duplicate entry '331b09081b2b42b457da0d113a8dc3a6' for key 1
Steps To Reproduce Passez en Admin... synchro des metadata et retour à la galerie.
Autre cas:
- depuis category.php, la recherche des commentaires.


Paliatif: Supprimer les lignes de phpwebgallery_sessions


Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version 4.4.1
Web server Apache 1.3.x
Attached Files

- Relationships
has duplicate 0000344closedrvelices PWG crashes after the first synchronization 

-  Notes
(0000699)
rvelices (developer)
2006.03.20 23:39

version MySql et PHP stp...
normalement "[mysql error 1062] Duplicate entry" ne devrait pas etre affichee.
(0000701)
VDigital (reporter)
2006.03.22 12:48

MySQL: 5.0.19
PHP: 4.4.1
(0000702)
rvelices (developer)
2006.03.23 02:18

Je viens de tester une version sur free et j'ai eu le meme probleme (erreur 1064).
Peut-etre Nicolas peut jeter un coup d'oeil.
Ce que j'ai remarque est que sur free
ini_set('session.name', $conf['session_name']);
ini_set('session.cookie_path', cookie_path() );
ini_set('session.use_only_cookies', $conf['session_use_only_cookies']);
n'ont aucun effet !!!
Ensuite a partir de 3 minutes apres le login, tout merde royalement: dans #sessions.data le id est un entier egal a 9 ? (j'ai un seul utilisateur dans ma base avec id 1) alors que ca devrait etre un string egal a "1".
Vider la table sessions ou effacer le cookie va resoudre le probleme.
(0000703)
rvelices (developer)
2006.03.23 02:30

En changeant $conf['session_save_handler'] = 'files' - ca a l'air de marcher, mais il ya peut etre d'autre effets de bord (le logout n'efface pas le cookie sur le client car le path ne correspond plus a celui de login qui a ete ignore par free)
(0000748)
nikrou (developer)
2006.04.14 11:39

Corrigé dans le tronc [Subversion] r1164
mysql_affected_rows() renvoie -1 lorsque la requête précédente échoue. Ce n'est que dans ce cas qu'il faut faire un insert!
(0000750)
chrisaga (developer)
2006.04.14 20:13

Cette modification empêche de se connecter !
Pas de message d'erreur, mais on arrive sur la page principale en mode déconnecté.
(0000751)
rvelices (developer)
2006.04.14 20:18

Je l'ai remarque aussi.
Le probleme est mysql_affected_rows qui envoie 0 dans 2 cas:
- la session existe dans la base, mais elle ne change pas (expiration ne bouge pas d'au moins 1 seconde et data et le meme)
- la session n'existe pas dans la base

- Issue History
Date Modified Username Field Change
2006.03.19 19:24 VDigital New Issue
2006.03.19 19:24 VDigital browser => any
2006.03.19 19:24 VDigital Web server => Apache 1.3.x
2006.03.19 19:33 VDigital Reproducibility random => always
2006.03.19 19:33 VDigital Steps to Reproduce Updated
2006.03.20 07:16 VDigital Steps to Reproduce Updated
2006.03.20 23:39 rvelices Note Added: 0000699
2006.03.22 02:00 rvelices Status new => feedback
2006.03.22 12:48 VDigital PHP version => 4.4.1
2006.03.22 12:48 VDigital Note Added: 0000701
2006.03.23 02:18 rvelices Note Added: 0000702
2006.03.23 02:30 rvelices Note Added: 0000703
2006.04.14 11:39 nikrou Note Added: 0000748
2006.04.14 11:40 nikrou Status feedback => resolved
2006.04.14 11:40 nikrou Fixed in Version => BSF branch (dev)
2006.04.14 11:40 nikrou Resolution open => fixed
2006.04.14 11:40 nikrou Assigned To => nikrou
2006.04.14 20:13 chrisaga Status resolved => feedback
2006.04.14 20:13 chrisaga Resolution fixed => reopened
2006.04.14 20:13 chrisaga Note Added: 0000750
2006.04.14 20:15 chrisaga Priority normal => immediate
2006.04.14 20:18 rvelices Note Added: 0000751
2006.04.15 00:05 rvelices Status feedback => closed
2006.04.15 00:05 rvelices Resolution reopened => fixed
2006.04.15 00:05 rvelices Fixed in Version BSF branch (dev) => 1.6 branch
2006.04.21 01:27 rvelices Relationship added related to 0000344
2006.04.21 03:56 rvelices Relationship replaced has duplicate 0000344


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker